%global srcname p1_sip
# Erlang packages don't seem to ship debug files, as the build process does not generate them
%global debug_package %{nil}


Name: erlang-%{srcname}
Version: 1.0.0
Release: 2%{?dist}
Summary: ProcessOne SIP server component in Erlang
# The license changes to ASL 2.0 in 1.0.1
License: GPLv2
URL: https://github.com/processone/%{srcname}/
Source0: https://github.com/processone/%{srcname}/archive/%{version}.tar.gz
# Patch an 'include' statement to search the system libraries rather than
# its deps directory.
Patch0: include_lib.patch

Requires: erlang-erts
Requires: erlang-p1_tls
Requires: erlang-p1_utils
Requires: erlang-p1_stun
BuildRequires: erlang-rebar
BuildRequires: erlang-rpm-macros
BuildRequires: erlang-p1_tls
BuildRequires: erlang-p1_stun
BuildRequires: erlang-p1_utils


%description
ProcessOne SIP server component in Erlang.


%prep
%setup -n %{srcname}-%{version} -q
%patch0 -p0
rm -rf ebin


%build
%rebar_compile


%install
install -d $RPM_BUILD_ROOT%{_erllibdir}/esip-%{version}/ebin
install -d $RPM_BUILD_ROOT%{_erllibdir}/esip-%{version}/include
install -d $RPM_BUILD_ROOT%{_erllibdir}/esip-%{version}/priv

install -pm644 ebin/* $RPM_BUILD_ROOT%{_erllibdir}/esip-%{version}/ebin/
install -pm644 include/* $RPM_BUILD_ROOT%{_erllibdir}/esip-%{version}/include/
install -pm755 priv/* $RPM_BUILD_ROOT%{_erllibdir}/esip-%{version}/priv/


%check
%__rebar eunit


%files
%license COPYING
%doc README.md
%{_erllibdir}/esip-%{version}


%changelog
* Fri Feb 12 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.0-2
- Move the installation to the esip folder instead of p1_sip, as expected by ejabberd.
- Turn i686 tests back on since they are fixed now.

* Sun Jan 31 2016 Jeremy Cline <jeremy@jcline.org> - 1.0.0-1
- Initial release.
